import request from '../index'
const prefix = 'busWellInfo'

// 查询点位列表 分页
export function getLocateList(data: any) {
  return request({
    url: `${prefix}/list?limit=${data.limit}&offset=${data.offset}`,
    method: 'post',
    data,
  })
}

// 查询点位列表 分页
export function getLocateListSelect(data: any) {
  return request({
    url: `${prefix}/selectList`,
    method: 'post',
    data,
  })
}

// 导出
export function exportLocate(data: object) {
  return request({
    url: `${prefix}/batchExport`,
    responseType: 'blob',
    method: 'post',
    data,
  })
}

// 添加产品
export function addLocate(data: object) {
  return request({
    url: `${prefix}/add`,
    method: 'post',
    data,
  })
}
// 修改产品
export function updateLocate(data: object) {
  return request({
    url: `${prefix}/update`,
    method: 'post',
    data,
  })
}
// 删除点位
export function deleteLocate(data: object) {
  return request({
    url: `${prefix}/delete`,
    method: 'post',
    data,
  })
}
